hoistPattern:
  - '*'
hoistedDependencies:
  '@babel/code-frame@7.27.1':
    '@babel/code-frame': private
  '@babel/helper-validator-identifier@7.27.1':
    '@babel/helper-validator-identifier': private
  '@biomejs/cli-darwin-arm64@2.0.6':
    '@biomejs/cli-darwin-arm64': private
  '@biomejs/cli-darwin-x64@2.0.6':
    '@biomejs/cli-darwin-x64': private
  '@biomejs/cli-linux-arm64-musl@2.0.6':
    '@biomejs/cli-linux-arm64-musl': private
  '@biomejs/cli-linux-arm64@2.0.6':
    '@biomejs/cli-linux-arm64': private
  '@biomejs/cli-linux-x64-musl@2.0.6':
    '@biomejs/cli-linux-x64-musl': private
  '@biomejs/cli-linux-x64@2.0.6':
    '@biomejs/cli-linux-x64': private
  '@biomejs/cli-win32-arm64@2.0.6':
    '@biomejs/cli-win32-arm64': private
  '@biomejs/cli-win32-x64@2.0.6':
    '@biomejs/cli-win32-x64': private
  '@commitlint/config-validator@19.8.1':
    '@commitlint/config-validator': private
  '@commitlint/ensure@19.8.1':
    '@commitlint/ensure': private
  '@commitlint/execute-rule@19.8.1':
    '@commitlint/execute-rule': private
  '@commitlint/format@19.8.1':
    '@commitlint/format': private
  '@commitlint/is-ignored@19.8.1':
    '@commitlint/is-ignored': private
  '@commitlint/lint@19.8.1':
    '@commitlint/lint': private
  '@commitlint/load@19.8.1(@types/node@24.2.0)(typescript@5.9.2)':
    '@commitlint/load': private
  '@commitlint/message@19.8.1':
    '@commitlint/message': private
  '@commitlint/parse@19.8.1':
    '@commitlint/parse': private
  '@commitlint/read@19.8.1':
    '@commitlint/read': private
  '@commitlint/resolve-extends@19.8.1':
    '@commitlint/resolve-extends': private
  '@commitlint/rules@19.8.1':
    '@commitlint/rules': private
  '@commitlint/to-lines@19.8.1':
    '@commitlint/to-lines': private
  '@commitlint/top-level@19.8.1':
    '@commitlint/top-level': private
  '@commitlint/types@19.8.1':
    '@commitlint/types': private
  '@esbuild/aix-ppc64@0.25.8':
    '@esbuild/aix-ppc64': private
  '@esbuild/android-arm64@0.25.8':
    '@esbuild/android-arm64': private
  '@esbuild/android-arm@0.25.8':
    '@esbuild/android-arm': private
  '@esbuild/android-x64@0.25.8':
    '@esbuild/android-x64': private
  '@esbuild/darwin-arm64@0.25.8':
    '@esbuild/darwin-arm64': private
  '@esbuild/darwin-x64@0.25.8':
    '@esbuild/darwin-x64': private
  '@esbuild/freebsd-arm64@0.25.8':
    '@esbuild/freebsd-arm64': private
  '@esbuild/freebsd-x64@0.25.8':
    '@esbuild/freebsd-x64': private
  '@esbuild/linux-arm64@0.25.8':
    '@esbuild/linux-arm64': private
  '@esbuild/linux-arm@0.25.8':
    '@esbuild/linux-arm': private
  '@esbuild/linux-ia32@0.25.8':
    '@esbuild/linux-ia32': private
  '@esbuild/linux-loong64@0.25.8':
    '@esbuild/linux-loong64': private
  '@esbuild/linux-mips64el@0.25.8':
    '@esbuild/linux-mips64el': private
  '@esbuild/linux-ppc64@0.25.8':
    '@esbuild/linux-ppc64': private
  '@esbuild/linux-riscv64@0.25.8':
    '@esbuild/linux-riscv64': private
  '@esbuild/linux-s390x@0.25.8':
    '@esbuild/linux-s390x': private
  '@esbuild/linux-x64@0.25.8':
    '@esbuild/linux-x64': private
  '@esbuild/netbsd-arm64@0.25.8':
    '@esbuild/netbsd-arm64': private
  '@esbuild/netbsd-x64@0.25.8':
    '@esbuild/netbsd-x64': private
  '@esbuild/openbsd-arm64@0.25.8':
    '@esbuild/openbsd-arm64': private
  '@esbuild/openbsd-x64@0.25.8':
    '@esbuild/openbsd-x64': private
  '@esbuild/openharmony-arm64@0.25.8':
    '@esbuild/openharmony-arm64': private
  '@esbuild/sunos-x64@0.25.8':
    '@esbuild/sunos-x64': private
  '@esbuild/win32-arm64@0.25.8':
    '@esbuild/win32-arm64': private
  '@esbuild/win32-ia32@0.25.8':
    '@esbuild/win32-ia32': private
  '@esbuild/win32-x64@0.25.8':
    '@esbuild/win32-x64': private
  '@nodelib/fs.scandir@2.1.5':
    '@nodelib/fs.scandir': private
  '@nodelib/fs.stat@2.0.5':
    '@nodelib/fs.stat': private
  '@nodelib/fs.walk@1.2.8':
    '@nodelib/fs.walk': private
  '@socket.io/component-emitter@3.1.2':
    '@socket.io/component-emitter': private
  '@types/bluebird@3.5.42':
    '@types/bluebird': private
  '@types/body-parser@1.19.6':
    '@types/body-parser': private
  '@types/connect@3.4.38':
    '@types/connect': private
  '@types/continuation-local-storage@3.2.7':
    '@types/continuation-local-storage': private
  '@types/conventional-commits-parser@5.0.1':
    '@types/conventional-commits-parser': private
  '@types/debug@4.1.12':
    '@types/debug': private
  '@types/express-serve-static-core@5.0.7':
    '@types/express-serve-static-core': private
  '@types/http-errors@2.0.5':
    '@types/http-errors': private
  '@types/lodash@4.17.20':
    '@types/lodash': private
  '@types/mime@1.3.5':
    '@types/mime': private
  '@types/ms@2.1.0':
    '@types/ms': private
  '@types/qs@6.14.0':
    '@types/qs': private
  '@types/range-parser@1.2.7':
    '@types/range-parser': private
  '@types/send@0.17.5':
    '@types/send': private
  '@types/serve-static@1.15.8':
    '@types/serve-static': private
  '@types/validator@13.15.2':
    '@types/validator': private
  JSONStream@1.3.5:
    JSONStream: private
  accepts@2.0.0:
    accepts: private
  ajv@8.17.1:
    ajv: private
  ansi-regex@5.0.1:
    ansi-regex: private
  ansi-styles@4.3.0:
    ansi-styles: private
  anymatch@3.1.3:
    anymatch: private
  append-field@1.0.0:
    append-field: private
  argparse@2.0.1:
    argparse: private
  array-ify@1.0.0:
    array-ify: private
  array-union@2.1.0:
    array-union: private
  atomic-sleep@1.0.0:
    atomic-sleep: private
  base64id@2.0.0:
    base64id: private
  basic-auth@2.0.1:
    basic-auth: private
  binary-extensions@2.3.0:
    binary-extensions: private
  body-parser@2.2.0:
    body-parser: private
  braces@3.0.3:
    braces: private
  buffer-from@1.1.2:
    buffer-from: private
  busboy@1.6.0:
    busboy: private
  bytes@3.1.2:
    bytes: private
  call-bind-apply-helpers@1.0.2:
    call-bind-apply-helpers: private
  call-bound@1.0.4:
    call-bound: private
  callsites@3.1.0:
    callsites: private
  chalk@5.5.0:
    chalk: private
  chokidar@3.6.0:
    chokidar: private
  cliui@8.0.1:
    cliui: private
  color-convert@2.0.1:
    color-convert: private
  color-name@1.1.4:
    color-name: private
  colorette@2.0.20:
    colorette: private
  commander@9.5.0:
    commander: private
  compare-func@2.0.0:
    compare-func: private
  compressible@2.0.18:
    compressible: private
  concat-stream@2.0.0:
    concat-stream: private
  content-disposition@1.0.0:
    content-disposition: private
  content-type@1.0.5:
    content-type: private
  conventional-changelog-angular@7.0.0:
    conventional-changelog-angular: private
  conventional-changelog-conventionalcommits@7.0.2:
    conventional-changelog-conventionalcommits: private
  conventional-commits-parser@5.0.0:
    conventional-commits-parser: private
  cookie-signature@1.2.2:
    cookie-signature: private
  cookie@0.7.2:
    cookie: private
  cosmiconfig-typescript-loader@6.1.0(@types/node@24.2.0)(cosmiconfig@9.0.0(typescript@5.9.2))(typescript@5.9.2):
    cosmiconfig-typescript-loader: private
  cosmiconfig@9.0.0(typescript@5.9.2):
    cosmiconfig: private
  dargs@8.1.0:
    dargs: private
  dateformat@4.6.3:
    dateformat: private
  debug@2.6.9:
    debug: private
  depd@2.0.0:
    depd: private
  dir-glob@3.0.1:
    dir-glob: private
  dot-prop@5.3.0:
    dot-prop: private
  dottie@2.0.6:
    dottie: private
  dunder-proto@1.0.1:
    dunder-proto: private
  ee-first@1.1.1:
    ee-first: private
  emoji-regex@8.0.0:
    emoji-regex: private
  encodeurl@2.0.0:
    encodeurl: private
  end-of-stream@1.4.5:
    end-of-stream: private
  engine.io-parser@5.2.3:
    engine.io-parser: private
  engine.io@6.6.4:
    engine.io: private
  env-paths@2.2.1:
    env-paths: private
  error-ex@1.3.2:
    error-ex: private
  es-define-property@1.0.1:
    es-define-property: private
  es-errors@1.3.0:
    es-errors: private
  es-object-atoms@1.1.1:
    es-object-atoms: private
  esbuild@0.25.8:
    esbuild: private
  escalade@3.2.0:
    escalade: private
  escape-html@1.0.3:
    escape-html: private
  etag@1.8.1:
    etag: private
  fast-copy@3.0.2:
    fast-copy: private
  fast-deep-equal@3.1.3:
    fast-deep-equal: private
  fast-glob@3.3.3:
    fast-glob: private
  fast-redact@3.5.0:
    fast-redact: private
  fast-safe-stringify@2.1.1:
    fast-safe-stringify: private
  fast-uri@3.0.6:
    fast-uri: private
  fastq@1.19.1:
    fastq: private
  fill-range@7.1.1:
    fill-range: private
  finalhandler@2.1.0:
    finalhandler: private
  find-up@7.0.0:
    find-up: private
  forwarded@0.2.0:
    forwarded: private
  fresh@2.0.0:
    fresh: private
  fsevents@2.3.3:
    fsevents: private
  function-bind@1.1.2:
    function-bind: private
  get-caller-file@2.0.5:
    get-caller-file: private
  get-intrinsic@1.3.0:
    get-intrinsic: private
  get-proto@1.0.1:
    get-proto: private
  get-tsconfig@4.10.1:
    get-tsconfig: private
  git-raw-commits@4.0.0:
    git-raw-commits: private
  glob-parent@5.1.2:
    glob-parent: private
  global-directory@4.0.1:
    global-directory: private
  globby@11.1.0:
    globby: private
  gopd@1.2.0:
    gopd: private
  has-symbols@1.1.0:
    has-symbols: private
  hasown@2.0.2:
    hasown: private
  help-me@5.0.0:
    help-me: private
  http-errors@2.0.0:
    http-errors: private
  iconv-lite@0.6.3:
    iconv-lite: private
  ignore@5.3.2:
    ignore: private
  import-fresh@3.3.1:
    import-fresh: private
  import-meta-resolve@4.1.0:
    import-meta-resolve: private
  inflection@1.13.4:
    inflection: private
  inherits@2.0.4:
    inherits: private
  ini@4.1.1:
    ini: private
  ipaddr.js@1.9.1:
    ipaddr.js: private
  is-arrayish@0.2.1:
    is-arrayish: private
  is-binary-path@2.1.0:
    is-binary-path: private
  is-extglob@2.1.1:
    is-extglob: private
  is-fullwidth-code-point@3.0.0:
    is-fullwidth-code-point: private
  is-glob@4.0.3:
    is-glob: private
  is-number@7.0.0:
    is-number: private
  is-obj@2.0.0:
    is-obj: private
  is-promise@4.0.0:
    is-promise: private
  is-text-path@2.0.0:
    is-text-path: private
  jiti@2.5.1:
    jiti: private
  joycon@3.1.1:
    joycon: private
  js-tokens@4.0.0:
    js-tokens: private
  js-yaml@4.1.0:
    js-yaml: private
  json-parse-even-better-errors@2.3.1:
    json-parse-even-better-errors: private
  json-schema-traverse@1.0.0:
    json-schema-traverse: private
  json5@2.2.3:
    json5: private
  jsonparse@1.3.1:
    jsonparse: private
  lefthook-darwin-arm64@1.12.2:
    lefthook-darwin-arm64: private
  lefthook-darwin-x64@1.12.2:
    lefthook-darwin-x64: private
  lefthook-freebsd-arm64@1.12.2:
    lefthook-freebsd-arm64: private
  lefthook-freebsd-x64@1.12.2:
    lefthook-freebsd-x64: private
  lefthook-linux-arm64@1.12.2:
    lefthook-linux-arm64: private
  lefthook-linux-x64@1.12.2:
    lefthook-linux-x64: private
  lefthook-openbsd-arm64@1.12.2:
    lefthook-openbsd-arm64: private
  lefthook-openbsd-x64@1.12.2:
    lefthook-openbsd-x64: private
  lefthook-windows-arm64@1.12.2:
    lefthook-windows-arm64: private
  lefthook-windows-x64@1.12.2:
    lefthook-windows-x64: private
  lines-and-columns@1.2.4:
    lines-and-columns: private
  locate-path@7.2.0:
    locate-path: private
  lodash.camelcase@4.3.0:
    lodash.camelcase: private
  lodash.isplainobject@4.0.6:
    lodash.isplainobject: private
  lodash.kebabcase@4.1.1:
    lodash.kebabcase: private
  lodash.merge@4.6.2:
    lodash.merge: private
  lodash.mergewith@4.6.2:
    lodash.mergewith: private
  lodash.snakecase@4.1.1:
    lodash.snakecase: private
  lodash.startcase@4.4.0:
    lodash.startcase: private
  lodash.uniq@4.5.0:
    lodash.uniq: private
  lodash.upperfirst@4.3.1:
    lodash.upperfirst: private
  lodash@4.17.21:
    lodash: private
  math-intrinsics@1.1.0:
    math-intrinsics: private
  media-typer@0.3.0:
    media-typer: private
  meow@12.1.1:
    meow: private
  merge-descriptors@2.0.0:
    merge-descriptors: private
  merge2@1.4.1:
    merge2: private
  micromatch@4.0.8:
    micromatch: private
  mime-db@1.54.0:
    mime-db: private
  mime-types@3.0.1:
    mime-types: private
  minimist@1.2.8:
    minimist: private
  mkdirp@0.5.6:
    mkdirp: private
  moment-timezone@0.5.48:
    moment-timezone: private
  moment@2.30.1:
    moment: private
  ms@2.0.0:
    ms: private
  mylas@2.1.13:
    mylas: private
  negotiator@0.6.4:
    negotiator: private
  normalize-path@3.0.0:
    normalize-path: private
  object-assign@4.1.1:
    object-assign: private
  object-inspect@1.13.4:
    object-inspect: private
  on-exit-leak-free@2.1.2:
    on-exit-leak-free: private
  on-finished@2.4.1:
    on-finished: private
  on-headers@1.1.0:
    on-headers: private
  once@1.4.0:
    once: private
  p-limit@4.0.0:
    p-limit: private
  p-locate@6.0.0:
    p-locate: private
  parent-module@1.0.1:
    parent-module: private
  parse-json@5.2.0:
    parse-json: private
  parseurl@1.3.3:
    parseurl: private
  path-exists@5.0.0:
    path-exists: private
  path-to-regexp@8.2.0:
    path-to-regexp: private
  path-type@4.0.0:
    path-type: private
  pg-cloudflare@1.2.7:
    pg-cloudflare: private
  pg-connection-string@2.9.1:
    pg-connection-string: private
  pg-int8@1.0.1:
    pg-int8: private
  pg-pool@3.10.1(pg@8.16.3):
    pg-pool: private
  pg-protocol@1.10.3:
    pg-protocol: private
  pg-types@2.2.0:
    pg-types: private
  pgpass@1.0.5:
    pgpass: private
  picocolors@1.1.1:
    picocolors: private
  picomatch@2.3.1:
    picomatch: private
  pino-abstract-transport@2.0.0:
    pino-abstract-transport: private
  pino-std-serializers@7.0.0:
    pino-std-serializers: private
  plimit-lit@1.6.1:
    plimit-lit: private
  postgres-array@2.0.0:
    postgres-array: private
  postgres-bytea@1.0.0:
    postgres-bytea: private
  postgres-date@1.0.7:
    postgres-date: private
  postgres-interval@1.2.0:
    postgres-interval: private
  process-warning@5.0.0:
    process-warning: private
  proxy-addr@2.0.7:
    proxy-addr: private
  pump@3.0.3:
    pump: private
  qs@6.14.0:
    qs: private
  queue-lit@1.5.2:
    queue-lit: private
  queue-microtask@1.2.3:
    queue-microtask: private
  quick-format-unescaped@4.0.4:
    quick-format-unescaped: private
  range-parser@1.2.1:
    range-parser: private
  raw-body@3.0.0:
    raw-body: private
  readable-stream@3.6.2:
    readable-stream: private
  readdirp@3.6.0:
    readdirp: private
  real-require@0.2.0:
    real-require: private
  require-directory@2.1.1:
    require-directory: private
  require-from-string@2.0.2:
    require-from-string: private
  resolve-from@5.0.0:
    resolve-from: private
  resolve-pkg-maps@1.0.0:
    resolve-pkg-maps: private
  retry-as-promised@7.1.1:
    retry-as-promised: private
  reusify@1.1.0:
    reusify: private
  router@2.2.0:
    router: private
  run-parallel@1.2.0:
    run-parallel: private
  safe-buffer@5.2.1:
    safe-buffer: private
  safe-stable-stringify@2.5.0:
    safe-stable-stringify: private
  safer-buffer@2.1.2:
    safer-buffer: private
  secure-json-parse@4.0.0:
    secure-json-parse: private
  semver@7.7.2:
    semver: private
  send@1.2.0:
    send: private
  sequelize-pool@7.1.0:
    sequelize-pool: private
  serve-static@2.2.0:
    serve-static: private
  setprototypeof@1.2.0:
    setprototypeof: private
  side-channel-list@1.0.0:
    side-channel-list: private
  side-channel-map@1.0.1:
    side-channel-map: private
  side-channel-weakmap@1.0.2:
    side-channel-weakmap: private
  side-channel@1.1.0:
    side-channel: private
  slash@3.0.0:
    slash: private
  socket.io-adapter@2.5.5:
    socket.io-adapter: private
  socket.io-parser@4.2.4:
    socket.io-parser: private
  socket.io@4.8.1:
    socket.io: private
  sonic-boom@4.2.0:
    sonic-boom: private
  split2@4.2.0:
    split2: private
  statuses@2.0.2:
    statuses: private
  streamsearch@1.1.0:
    streamsearch: private
  string-width@4.2.3:
    string-width: private
  string_decoder@1.3.0:
    string_decoder: private
  strip-ansi@6.0.1:
    strip-ansi: private
  strip-bom@3.0.0:
    strip-bom: private
  strip-json-comments@5.0.2:
    strip-json-comments: private
  text-extensions@2.4.0:
    text-extensions: private
  thread-stream@3.1.0:
    thread-stream: private
  through@2.3.8:
    through: private
  tinyexec@1.0.1:
    tinyexec: private
  to-regex-range@5.0.1:
    to-regex-range: private
  toidentifier@1.0.1:
    toidentifier: private
  toposort-class@1.0.1:
    toposort-class: private
  type-is@2.0.1:
    type-is: private
  typedarray@0.0.6:
    typedarray: private
  undici-types@7.10.0:
    undici-types: private
  unicorn-magic@0.1.0:
    unicorn-magic: private
  unpipe@1.0.0:
    unpipe: private
  util-deprecate@1.0.2:
    util-deprecate: private
  uuid@8.3.2:
    uuid: private
  validator@13.12.0:
    validator: private
  vary@1.1.2:
    vary: private
  wkx@0.5.0:
    wkx: private
  wrap-ansi@7.0.0:
    wrap-ansi: private
  wrappy@1.0.2:
    wrappy: private
  ws@8.17.1:
    ws: private
  xtend@4.0.2:
    xtend: private
  y18n@5.0.8:
    y18n: private
  yargs-parser@21.1.1:
    yargs-parser: private
  yargs@17.7.2:
    yargs: private
  yocto-queue@1.2.1:
    yocto-queue: private
ignoredBuilds:
  - esbuild
  - lefthook
included:
  dependencies: true
  devDependencies: true
  optionalDependencies: true
injectedDeps: {}
layoutVersion: 5
nodeLinker: isolated
packageManager: pnpm@10.6.2
pendingBuilds: []
prunedAt: Wed, 13 Aug 2025 22:08:00 GMT
publicHoistPattern: []
registries:
  default: https://registry.npmjs.org/
skipped:
  - '@biomejs/cli-darwin-arm64@2.0.6'
  - '@biomejs/cli-darwin-x64@2.0.6'
  - '@biomejs/cli-linux-arm64-musl@2.0.6'
  - '@biomejs/cli-linux-arm64@2.0.6'
  - '@biomejs/cli-win32-arm64@2.0.6'
  - '@biomejs/cli-win32-x64@2.0.6'
  - '@esbuild/aix-ppc64@0.25.8'
  - '@esbuild/android-arm64@0.25.8'
  - '@esbuild/android-arm@0.25.8'
  - '@esbuild/android-x64@0.25.8'
  - '@esbuild/darwin-arm64@0.25.8'
  - '@esbuild/darwin-x64@0.25.8'
  - '@esbuild/freebsd-arm64@0.25.8'
  - '@esbuild/freebsd-x64@0.25.8'
  - '@esbuild/linux-arm64@0.25.8'
  - '@esbuild/linux-arm@0.25.8'
  - '@esbuild/linux-ia32@0.25.8'
  - '@esbuild/linux-loong64@0.25.8'
  - '@esbuild/linux-mips64el@0.25.8'
  - '@esbuild/linux-ppc64@0.25.8'
  - '@esbuild/linux-riscv64@0.25.8'
  - '@esbuild/linux-s390x@0.25.8'
  - '@esbuild/netbsd-arm64@0.25.8'
  - '@esbuild/netbsd-x64@0.25.8'
  - '@esbuild/openbsd-arm64@0.25.8'
  - '@esbuild/openbsd-x64@0.25.8'
  - '@esbuild/openharmony-arm64@0.25.8'
  - '@esbuild/sunos-x64@0.25.8'
  - '@esbuild/win32-arm64@0.25.8'
  - '@esbuild/win32-ia32@0.25.8'
  - '@esbuild/win32-x64@0.25.8'
  - fsevents@2.3.3
  - lefthook-darwin-arm64@1.12.2
  - lefthook-darwin-x64@1.12.2
  - lefthook-freebsd-arm64@1.12.2
  - lefthook-freebsd-x64@1.12.2
  - lefthook-linux-arm64@1.12.2
  - lefthook-openbsd-arm64@1.12.2
  - lefthook-openbsd-x64@1.12.2
  - lefthook-windows-arm64@1.12.2
  - lefthook-windows-x64@1.12.2
storeDir: /root/.local/share/pnpm/store/v10
virtualStoreDir: .pnpm
virtualStoreDirMaxLength: 120
